org.wso2.carbon.ml.rest.api.model

## Class MLDatasetBean

- java.lang.Object
- - org.wso2.carbon.ml.rest.api.model.MLDatasetBean

-     public class MLDatasetBean
      extends Object

  Represent a Data-set in ML.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLDatasetBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComments()`
    `String` | `getCreatedTime()`
    `long` | `getId()`
    `String` | `getName()`
    `String` | `getStatus()`
    `List<MLVersionBean>` | `getVersions()`
    `void` | `setComments(String comments)`
    `void` | `setCreatedTime(String createdTime)`
    `void` | `setId(long id)`
    `void` | `setName(String name)`
    `void` | `setStatus(String status)`
    `void` | `setVersions(List<MLVersionBean> versions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLDatasetBean

          public MLDatasetBean()

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getComments

          public String getComments()

    - #### setComments

          public void setComments(String comments)

    - #### getCreatedTime

          public String getCreatedTime()

    - #### setCreatedTime

          public void setCreatedTime(String createdTime)

    - #### getVersions

          public List<MLVersionBean> getVersions()

    - #### setVersions

          public void setVersions(List<MLVersionBean> versions)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

Copyright © 2018 WSO2, Inc.. All rights reserved.